Bug 507843 - KMS:R430:Radeon X800 Screen corruption after resume from hibernate
KMS:R430:Radeon X800 Screen corruption after resume from hibernate
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-24 09:53 EDT by Joachim Frieben
Modified: 2018-04-11 14:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:16:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Custom xorg.conf for ATI Radeon X800 and 21" CRT HP A4576A (411 bytes, text/plain)
2009-06-26 04:32 EDT, Joachim Frieben
no flags Details
Xorg.0.log for ATI Radeon X800 and 21" CRT HP A4576A (72.97 KB, text/plain)
2009-06-26 04:33 EDT, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2009-06-24 09:53:04 EDT
Description of problem:
After resuming a system equipped with an ATI Radeon X800 from hibernate, the screen is garbled. The g-s-s unlock panel is visible, and it is also possible to to type a few characters or to move the mouse, but then X locks up. During this period of time, the screen is corrupted by noise, jitter and lines, both horizontal and vertical. KMS is enabled.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.12.2-17.fc11.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Hibernate system.
2. Resume from hibernate.
  
Actual results:
Garbled screen with g-s-s unlock dialog.

Expected results:
Background and g-s-s unlock dialog are rendered correctly.

Additional info:
Adding "nomodeset" to the kernel boot options allows to restore proper operation.
Comment 1 Joachim Frieben 2009-06-26 04:32:37 EDT
Created attachment 349519 [details]
Custom xorg.conf for ATI Radeon X800 and 21" CRT HP A4576A
Comment 2 Joachim Frieben 2009-06-26 04:33:13 EDT
Created attachment 349520 [details]
Xorg.0.log for ATI Radeon X800 and 21" CRT HP A4576A
Comment 3 Matěj Cepl 2009-11-05 13:33:06 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 4 Matěj Cepl 2010-02-26 07:24:50 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 5 Joachim Frieben 2010-04-26 01:10:38 EDT
No improvement for a current F11 system updated with the latest Koji builds for the X subsystem:
  kernel-2.6.32.10-44.fc11.x86_64
  libdrm-2.4.11-2.fc11.x86_64
  mesa-*-7.6-0.2.fc11.x86_64
  xorg-x11-drv-ati-6.12.2-18.fc11.x86_64
  xorg-x11-server-Xorg-1.6.4-0.4.fc11.x86_64
Comment 6 Bug Zapper 2010-04-27 11:13:26 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Vedran Miletić 2010-05-24 13:39:13 EDT
Improving summary.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

[This triage is part of collective effort done by students of University of
Rijeka Department of Informatics.]
Comment 8 Bug Zapper 2010-06-28 09:16:25 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.